/* --- Layouts --- */
.main-layout {
    display: flex;
    gap: 2rem;
    width: 100%;
    max-width: 1800px;
    margin: 0 auto;
    padding: 2rem;
    flex: 1;
    overflow: hidden;
}

.calendar-column {
    flex: 2;
    display: flex;
    flex-direction: column;
    transition: filter 0.3s ease-in-out;
}

.info-column {
    flex: 2;
    display: flex;
    flex-direction: column;
    gap: 1rem;
    max-height: 77vh;
}

.main-layout.calendar-is-blurred .calendar-column {
    filter: blur(7px);
    pointer-events: none;
    user-select: none;
}

.container {
    background-color: var(--card-bg);
    border-radius: 12px;
    box-shadow: 0 4px 12px var(--shadow-color);
    padding: 2rem;
    display: flex;
    flex-direction: column;
    height: 100%;
}

.split-layout {
    display: flex;
    gap: 1.5rem;
    height: 100%;
    width: 100%;
    overflow: hidden;
}

.split-sidebar {
    flex: 1.5;
    min-width: 155px;
    max-width: 225px;
    display: flex;
    flex-direction: column;
    overflow-y: auto;
}

.split-main {
    flex: 2.5;
    display: flex;
    flex-direction: column;
    overflow-y: auto;
}

/* --- Timetable specific split layout --- */
.timetable-split-layout .split-sidebar {
    flex: 1;
    min-width: 200px;
    max-width: 220px;
    background-color: var(--secondary-bg);
    padding: 1rem;
    border-radius: 8px;
}

.timetable-split-layout .split-main {
    flex: 3;
}


/* --- Header & Footer --- */
.site-header {
    background-color: var(--header-footer-bg);
    padding: 1rem 2rem;
    box-shadow: 0 2px 4px var(--shadow-color);
    border-bottom: 1px solid var(--border-color);
    height: 100px;
}

.header-content {
    display: flex;
    justify-content: space-between;
    align-items: center;
    max-width: 1800px;
    margin: 0 auto;
    box-sizing: border-box;
    overflow: visible;
    max-height: 63px;
}

.site-header h1 {
    font-size: 1.0rem;
    margin: 0;
    height: 63px;
    line-height: 63px;
}

.site-footer {
    background-color: var(--header-footer-bg);
    color: #6c757d;
    text-align: center;
    padding: 1.5rem;
    margin-top: auto;
    border-top: 1px solid var(--border-color);
}


#footer-content-box {
    display: flex;
    justify-content: space-between;
    align-items: center;
}